Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516085 - Unable to create GCE Compute Resource
Summary: Unable to create GCE Compute Resource
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 01:56 UTC by Davi Garcia
Modified: 2019-03-18 03:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 12:03:51 UTC


Attachments (Terms of Use)

Description Davi Garcia 2017-11-22 01:56:16 UTC
>> Description of problem:

I'm unable to create a Compute Resource using Google (GCE) provider. When I load the zones, the UI clears the Client Email field and when I submit the form nothing happens. 

>> Version-Release number of selected component (if applicable):

satellite-6.2.12-6.0.el7sat.noarch.

>> How reproducible:

It should be easy.

>> Steps to Reproduce:

1. Fresh install Satellite 6.2 on RHEL 7.
2. Go Infrastructure > Compute Resources, then New Compute Resource.
3. Try to add a compute resource using Google provider.

>> Actual results:

The UI clears the 'Client Email' field after load the zones, and nothing happens when the form is submitted after re-insert the 'Client Email'.

>> Expected results:

After fill the form, and test the connection, we should be able to submit the form without re-entering information.

Comment 2 Daniel Lobato Garcia 2017-11-23 13:31:37 UTC
What do you see on /var/log/foreman/production.log when you get bounced back to the form as seen in the video?

Comment 3 Davi Garcia 2017-11-23 13:39:07 UTC
Looks like the UI is removing the URL field value before POST the form:

2017-11-23 08:34:42 f4587369 [app] [I] Started POST "/compute_resources" for 200.166.43.21 at 2017-11-23 08:34:42 -0500
2017-11-23 08:34:42 f4587369 [app] [I] Processing by ComputeResourcesController#create as HTML
2017-11-23 08:34:42 f4587369 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"<hidden>", "compute_resource"=>{"name"=>"Zone A", "provider"=>"GCE", "description"=>"", "project"=>"test", "email"=>"<hidden>", "key_path"=>"<hidden>", "zone"=>"southamerica-east1-a", "location_ids"=>[""], "organization_ids"=>["", "1"]}, "commit"=>"Submit"}
2017-11-23 08:34:42 f4587369 [app] [I] Failed to save: URL can't be blank

The full log is attached (private).

Comment 6 Davi Garcia 2018-01-19 13:16:08 UTC
Do we have any update on this?

Comment 7 Bryan Kearney 2018-11-30 15:00:32 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Rich Jerrido or Bryan Kearney or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 8 Bryan Kearney 2019-02-07 12:03:51 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.

Comment 9 Waldirio M Pinheiro 2019-02-07 14:54:40 UTC
Hello team, Waldirio here

Testing this feature on Satellite 6.4 we still facing issues.

I'll put some details internally.

Thanks


Best Regards
-- 
Waldirio M Pinheiro | Senior Software Maintenance Engineer


Note You need to log in before you can comment on or make changes to this bug.